Bug 507866 - On Fedora 11, a Fedora 10 package is 'stuck' in the package database, even when rebuilt (ghc-haddock-2.4.1-2.fc10.x86_64)
On Fedora 11, a Fedora 10 package is 'stuck' in the package database, even wh...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: haddock (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-24 11:22 EDT by Ellis Love
Modified: 2009-10-23 03:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-23 03:31:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ellis Love 2009-06-24 11:22:22 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1b4) Gecko/20090427 Fedora/3.5-0.20.beta4.fc11 Firefox/3.5b4

The Haskell packages, particularly ghc-haddock-2.4.1-2.fc10.x86_64, seem to be installed when they are not. When running gpk-application 2.27.2 graphically, this package appears to be installed, even though it really isn't. When removed, it reappears as being installed. Running rpm --rebuilddb to rebuild the database didn't help. Manually removing all traces of the packages and older empty directories did not help. Since the ghc 6.10.3 is the current compiler, haddocks dependency on 6.10.1 is another problem.

From the dialog listing the failure to install Haskel packages:
ghc = 6.10.1 is needed by package ghc-haddock-2.4.1-2.fc10.x86_64

Yet 6.10.1 is listed as already installed (it isn't)

Reproducible: Always

Steps to Reproduce:
1.Open System > Administration > Add/Remove Software to open the app
2.Select Development item in left panel
3.Select Haskell item to see packages populate.
4.The haddock shows as installed on my machine and will not uninstall



Here is an attempt to remove haddock manually.

[root@localhost /]# cd /
[root@localhost /]# rpm --rebuilddb
[root@localhost /]# rpm --query ghc
ghc-6.10.1-13.fc11.x86_64
[root@localhost /]# rpm --erase ghc-6.10.1-13.fc11.x86_64
error: Failed dependencies:
	ghc = 6.10.1 is needed by (installed) ghc-haddock-2.4.1-2.fc10.x86_64
[root@localhost /]# rpm --query ghc-haddock
ghc-haddock-2.4.1-2.fc10.x86_64
[root@localhost /]# rpm --erase ghc-haddock-2.4.1-2.fc10.x86_64
ghc-pkg: cannot find package haddock-2.4.1
error: %preun(ghc-haddock-2.4.1-2.fc10.x86_64) scriptlet failed, exit status 1
[root@localhost /]#
Comment 1 Panu Matilainen 2009-06-25 04:51:30 EDT
%preun scriptlet failing causes the package removal to fail, --noscripts helps.
Comment 2 Jens Petersen 2009-06-26 03:54:02 EDT
Current ghc-haddock-devel in f11 does correctly
Requires(preun): ghc = %{ghc_version}
(though I am not sure if rpm will always order the transaction
to fulfil that requirement).
Comment 3 Jens Petersen 2009-10-23 03:31:21 EDT
Thanks for the report.

Probably better to avoid ghc-haddock* since not very used anyway.
I don't think anything in fedora BRs it anyway and given that
F10 is nearing EOL I don't feel it is worth an update really
and propose to close this now.

Note You need to log in before you can comment on or make changes to this bug.